#
# spec file for package perl-PostScript-Simple
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-PostScript-Simple
Version:        0.09
Release:        lp151.2.1
#Upstream: CHECK(GPL-1.0+ or Artistic-1.0)
%define cpan_name PostScript-Simple
Summary:        Produce PostScript files from Perl
License:        GPL-2.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/PostScript-Simple/
Source0:        http://www.cpan.org/authors/id/M/MC/MCNEWTON/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
PostScript::Simple allows you to have a simple method of writing PostScript
files from Perl. It has graphics primitives that allow lines, curves,
circles, polygons and boxes to be drawn. Text can be added to the page
using standard PostScript fonts.

The images can be single page EPS files, or multipage PostScript files. The
image size can be set by using a recognised paper size ("'A4'", for
example) or by giving dimensions. The units used can be specified ("'mm'"
or "'in'", etc) and are the same as those used in TeX. The default unit is
a bp, or a PostScript point, unlike TeX.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples README TODO

%changelog
* Fri Apr 17 2015 coolo@suse.com
- updated to 0.09
  see /usr/share/doc/packages/perl-PostScript-Simple/Changes
  0.09 - 23 September 2014
    Matthew Newton:
  - add setcmykcolour method
  - add err method to find last error
  - internal data structure updates
  0.08 - 20 June 2014
    Satoshi Azuma:
  - remove Test::More module and make it a build dependency
    Matthew Newton:
  - fix test result failures on -Duselongdouble
  - allow units to be specified for any distance
  - add X-Windows colours, supplied by Steve Baldwin
  - change all space-separated lists to arrays
  - fix Begin/EndDocument handling in EPS file insertion
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 cwh@suse.de
  version 0.07:
  - fix lack of newpath in arc
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Sun Jul 31 2005 cthiel@suse.de
- update to version 0.06
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Mon Jul 28 2003 ro@suse.de
- install to vendor location
* Wed Jun 18 2003 coolo@suse.de
- package directories
* Sun May 25 2003 ro@suse.de
- remove unpackaged files from buildroot
* Wed Jun 26 2002 ray@suse.de
- init version 0.04
